sailpoint.api

## Enum PersistenceManager.LockPhase

- java.lang.Object
- - java.lang.Enum<PersistenceManager.LockPhase>
  - - sailpoint.api.PersistenceManager.LockPhase

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PersistenceManager.LockPhase>

Enclosing interface:
  PersistenceManager

    public static enum PersistenceManager.LockPhase
    extends java.lang.Enum<PersistenceManager.LockPhase>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GOV_LOCK_CIS`
`GOV_LOCK_CIS_TO_REDIS_TRANSITION`
`GOV_LOCK_REDIS`
`GOV_LOCK_REDIS_TO_CIS_ROLLBACK`

### Method Summary

All Methods Static Methods Concrete Methods
`static PersistenceManager.LockPhase` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PersistenceManager.LockPhase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GOV_LOCK_CIS

    public static final PersistenceManager.LockPhase GOV_LOCK_CIS

#### GOV_LOCK_CIS_TO_REDIS_TRANSITION

    public static final PersistenceManager.LockPhase GOV_LOCK_CIS_TO_REDIS_TRANSITION

#### GOV_LOCK_REDIS

    public static final PersistenceManager.LockPhase GOV_LOCK_REDIS

#### GOV_LOCK_REDIS_TO_CIS_ROLLBACK

    public static final PersistenceManager.LockPhase GOV_LOCK_REDIS_TO_CIS_ROLLBACK

### Method Detail

#### values

    public static PersistenceManager.LockPhase[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PersistenceManager.LockPhase c : PersistenceManager.LockPhase.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PersistenceManager.LockPhase valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null